Patch-Source: https://github.com/ximion/appstream/commit/bfa8fa6ac4ef645368a93384a6c16ac551a40922
--
From bfa8fa6ac4ef645368a93384a6c16ac551a40922 Mon Sep 17 00:00:00 2001
From: Matthias Klumpp <matthias@tenstral.net>
Date: Sun, 12 Mar 2023 17:36:11 +0100
Subject: [PATCH] Add missing standard::is-hidden attribute to file search
 enumerator

Resolves: #470
---
 src/as-utils.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/src/as-utils.c b/src/as-utils.c
index 260f3cbf4..b983e7ec8 100644
--- a/src/as-utils.c
+++ b/src/as-utils.c
@@ -511,7 +511,12 @@ as_utils_find_files_matching (const gchar* dir, const gchar* pattern, gboolean r
 
 	list = g_ptr_array_new_with_free_func (g_free);
 	fdir =  g_file_new_for_path (dir);
-	enumerator = g_file_enumerate_children (fdir, G_FILE_ATTRIBUTE_STANDARD_NAME, 0, NULL, &tmp_error);
+	enumerator = g_file_enumerate_children (fdir,
+						G_FILE_ATTRIBUTE_STANDARD_NAME ","
+						G_FILE_ATTRIBUTE_STANDARD_IS_HIDDEN,
+						0,
+						NULL,
+						&tmp_error);
 	if (tmp_error != NULL)
 		goto out;
 
